<!-- Variables à portée composant -->
<!-- UI mis à jours lors de changement -->

<script>
	export let data;

	let desc = false;
	let activity = false;
	let link  = false;
	

	const descriptionClick = () => {
		desc  = !desc
		activity = false
		link = false
	}

	const activityClick = () => {
		desc = false
		activity = !activity
		link = false
	}

	const horaireClick = () => {
		desc = false
		activity = false
		link = false
	}

	const linkClick = () => {
		desc = false
		activity = false
		link = !link
		
	}

</script>

<div> 
	<div>
		<button on:click={descriptionClick} class="btn btn-outline-success"> <b> Description </b> </button>
		<button on:click={activityClick} class="btn btn-outline-secondary"> <b> Secteur d'activité </b> </button>
		<button on:click={linkClick} class="btn btn-link"> <b> Contact </b> </button>

		{#if desc}
			{#each data.details as det}
					<li class="list-group-item list-group-item-secondary"> {det.description} </li>
			{/each}
		{/if}

		{#if activity}
			{#each data.details as act}
					<li class="list-group-item list-group-item-secondary"> {act.activity} </li>
			{/each}
		{/if}

		{#if link}
			{#each data.details as lien}
					<li class="list-group-item list-group-item-secondary"> {lien.link} </li>
			{/each}
		{/if}
	</div>
</div>
